Subject: [wishlist] make pulse handle remapped default face

From: Gabriel do Nascimento Ribeiro <[email-masked]>
Date: Mon, 1 Sep 2025 22:44:33 +0000

Currently, pulse functions use the background from the standard default face to
calculate the pulse colors.  It doesn't work properly if the default face is
remapped to a different background, since 'face-attribute' does not return the
remapped property.  So, for example, the default background is blue and it's
remapped to red in a particular window, pulse will unconditionally pulse using
blue as the target color in all windows.  My suggestion is to make pulse.el
properly handle the case of remapped background of the default face.

---
Gabriel